clang 10.0.0git

Static Public Member Functions | Protected Member Functions | List of all members
clang::TypeAttr Class Reference

`#include "clang/AST/Attr.h"`

Inheritance diagram for clang::TypeAttr:
[legend]
Collaboration diagram for clang::TypeAttr:
[legend]

## Static Public Member Functions
static bool | classof (const Attr *A)
Static Public Member Functions inherited from clang::AttributeCommonInfo
static Kind | getParsedKind (const IdentifierInfo *Name, const IdentifierInfo *Scope, Syntax SyntaxUsed)

## Protected Member Functions
| TypeAttr (ASTContext &Context, const AttributeCommonInfo &CommonInfo, attr::Kind AK, bool IsLateParsed)
Protected Member Functions inherited from clang::Attr
void * | operator new (size_t bytes) noexcept
void | operator delete (void *data) noexcept
| Attr (ASTContext &Context, const AttributeCommonInfo &CommonInfo, attr::Kind AK, bool IsLateParsed)
Protected Member Functions inherited from clang::AttributeCommonInfo
bool | isAttributeSpellingListCalculated () const

## Additional Inherited Members
Public Types inherited from clang::AttributeCommonInfo
enum | Syntax { AS_GNU, AS_CXX11, AS_C2x, AS_Declspec, AS_Microsoft, AS_Keyword, AS_Pragma, AS_ContextSensitiveKeyword }
| The style used to specify an attribute. More...
enum | Kind { NoSemaHandlerAttribute, IgnoredAttribute, UnknownAttribute }
Public Member Functions inherited from clang::Attr
void * | operator new (size_t Bytes, ASTContext &C, size_t Alignment=8) noexcept
void | operator delete (void *Ptr, ASTContext &C, size_t Alignment) noexcept
attr::Kind | getKind () const
unsigned | getSpellingListIndex () const
const char * | getSpelling () const
SourceLocation | getLocation () const
bool | isInherited () const
bool | isImplicit () const
| Returns true if the attribute has been implicitly created instead of explicitly written by the user. More...
void | setImplicit (bool I)
void | setPackExpansion (bool PE)
bool | isPackExpansion () const
Attr * | clone (ASTContext &C) const
bool | isLateParsed () const
void | printPretty (raw_ostream &OS, const PrintingPolicy &Policy) const
Public Member Functions inherited from clang::AttributeCommonInfo
| AttributeCommonInfo (SourceRange AttrRange)
| AttributeCommonInfo (SourceLocation AttrLoc)
| AttributeCommonInfo (const IdentifierInfo *AttrName, const IdentifierInfo *ScopeName, SourceRange AttrRange, SourceLocation ScopeLoc, Syntax SyntaxUsed)
| AttributeCommonInfo (const IdentifierInfo *AttrName, const IdentifierInfo *ScopeName, SourceRange AttrRange, SourceLocation ScopeLoc, Kind AttrKind, Syntax SyntaxUsed)
| AttributeCommonInfo (const IdentifierInfo *AttrName, const IdentifierInfo *ScopeName, SourceRange AttrRange, SourceLocation ScopeLoc, Kind AttrKind, Syntax SyntaxUsed, unsigned Spelling)
| AttributeCommonInfo (const IdentifierInfo *AttrName, SourceRange AttrRange, Syntax SyntaxUsed)
| AttributeCommonInfo (SourceRange AttrRange, Kind K, Syntax SyntaxUsed)
| AttributeCommonInfo (SourceRange AttrRange, Kind K, Syntax SyntaxUsed, unsigned Spelling)
| AttributeCommonInfo (AttributeCommonInfo &&)=default
| AttributeCommonInfo (const AttributeCommonInfo &)=default
Kind | getParsedKind () const
Syntax | getSyntax () const
const IdentifierInfo * | getAttrName () const
SourceLocation | getLoc () const
SourceRange | getRange () const
void | setRange (SourceRange R)
bool | hasScope () const
const IdentifierInfo * | getScopeName () const
SourceLocation | getScopeLoc () const
bool | isDeclspecAttribute () const
bool | isMicrosoftAttribute () const
bool | isGNUScope () const
bool | isAlignasAttribute () const
bool | isCXX11Attribute () const
bool | isC2xAttribute () const
bool | isKeywordAttribute () const
bool | isContextSensitiveKeywordAttribute () const
unsigned | getAttributeSpellingListIndex () const
void | setAttributeSpellingListIndex (unsigned V)
Protected Attributes inherited from clang::Attr
unsigned | Inherited: 1
| An index into the spelling list of an attribute defined in Attr.td file. More...
unsigned | IsPackExpansion: 1
unsigned | Implicit: 1
unsigned | IsLateParsed: 1
unsigned | InheritEvenIfAlreadyPresent: 1
Static Protected Attributes inherited from clang::AttributeCommonInfo
static constexpr unsigned | SpellingNotCalculated = 0xf

## Detailed Description

Definition at line 113 of file Attr.h.

## Constructor & Destructor Documentation

## ◆ TypeAttr()

clang::TypeAttr::TypeAttr | ( | ASTContext & | Context,
|  | const AttributeCommonInfo & | CommonInfo,
|  | attr::Kind | AK,
|  | bool | IsLateParsed
| ) |  |
| inline protected

Definition at line 115 of file Attr.h.

## Member Function Documentation

## ◆ classof()

static bool clang::TypeAttr::classof | ( | const Attr * | A | ) |
| inline static

Definition at line 120 of file Attr.h.

References clang::Attr::getKind().

The documentation for this class was generated from the following file:

- include/clang/AST/Attr.h